{$I PIETOOLS.INC}
{ Autor: Ingolf Pietschmann.
  Dieser Quelltext ist Freeware. Die Verwendung und Weitergabe dieser Sourcen zu
  privaten nicht kommerziellen Zwecken ist ausdrcklich erwnscht.
  Die Verwendung zu kommerziellen Zwecken ist nur mit Erlaubnis des Autors
  gestattet. Den Autor knnen Sie unter "Support@Pie-Tools.de" erreichen.

  These sources are freeware. The usage and distribution of these sources for
  private, not commercial purposes is explicit desired.
  The usage for commercial purposes is only permitted in agreement of the author.
  The author can be reached by "Support@Pie-Tools.de".
}
unit PieMenuReg;

interface

USES DsgnIntf;

TYPE
  TPieToolsCategory = class(TPropertyCategory)
  public
    class function Name: string; override;
    class function Description: string; override;
  end;

procedure Register;

implementation

uses
  Classes, graphics, pieHerk,
  PieMainMenu;
{ ************************************************* }
class function TPieToolsCategory.Name: string;
BEGIN
  Result := 'PieTools';
END;
class function TPieToolsCategory.Description: string;
BEGIN
  Result := 'Extended properties from PieTools';
END;
{ ************************************************* }
procedure Register;
begin
{ ************************************************* }
 RegisterComponents('PieTools',
   [TPieMainMenu]);
{ ************************************************* }
{ ************************************************* }
  RegisterPropertyEditor(TypeInfo(TFont), TPieMainMenu,
                         '', TFontProperty );
{ ************************************************* }
  RegisterPropertiesInCategory(TPieToolsCategory, TPieMainMenu,
    ['Background', 'MenuHeight', 'MenuStyle', 'SelectImage',
     'SelectStyle', 'SelectColor', 'Font']);
end;

end.
